%define upstream_name MDV-Distribconf
%define upstream_version 4.101

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL
Group:      Development/Perl
Summary:    Read and write config of a urpmi based distribution tree
Source0:    %{upstream_name}-%{upstream_version}.tar.xz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildArch:  noarch
BuildRequires:  perl-Config-IniFiles
BuildRequires:  perl-MDV-Packdrakeng
BuildRequires:  perl(Devel::Peek)

%description
MDV::Distribconf is a module to get/write the configuration of a urpmi
based distribution tree.

%package -n mdv-distrib-tools
Summary: Tools use to maintains a urpmi based distrib tree
Group: Development/Perl

%description -n mdv-distrib-tools
Tools use to maintains a urpmi based distrib tree.

This include:
- gendistrib (experimental)
- checkdistrib

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build 

%check
%make_build test

%install
%make_install

%files
%{_mandir}/*/MDV::Distribconf.*
%dir %{perl_vendorlib}/MDV/Distribconf
%{perl_vendorlib}/MDV/Distribconf.pm

%files -n mdv-distrib-tools
%_bindir/*
%{perl_vendorlib}/MDV/Distribconf/*
%{_mandir}/*/MDV::Distribconf::*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 4.101.0-3.mga8
+ Revision: 1505018
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.101.0-2.mga7
+ Revision: 1284545
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 tv <tv> 4.101.0-1.mga7
+ Revision: 1259498
- fix manifest (s!cooker!cauldron!)

* Thu Aug 09 2018 tv <tv> 4.100.0-3.mga7
+ Revision: 1250578
- BR perl(Devel::Peek) rather than perl-Devel-Peek, thus fixing build
- rebuild for perl-5.28
- explicitely BR perl-Devel-Peek
- use std build macros

* Sun Jun 19 2016 pterjan <pterjan> 4.100.0-2.mga6
+ Revision: 1029872
- Rebuild for perl 5.22.2

* Wed Jan 06 2016 tv <tv> 4.100.0-1.mga6
+ Revision: 920069
- adjust file list
- new release

* Tue Jun 23 2015 shlomif <shlomif> 4.02-13.mga6
+ Revision: 840651
- Correct prev commit
- Eliminate warnings on perl-5.22.x

* Wed Oct 15 2014 umeabot <umeabot> 4.02-12.mga5
+ Revision: 743735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.02-11.mga5
+ Revision: 685286
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 tv <tv> 4.02-10.mga5
+ Revision: 581834
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 4.02-9.mga4
+ Revision: 524037
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 4.02-8.mga4
+ Revision: 429885
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 4.02-7.mga3
+ Revision: 369286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 dmorgan <dmorgan> 4.02-6.mga1
+ Revision: 64353
- Remove mdv occurencies

* Thu Feb 10 2011 dmorgan <dmorgan> 4.02-5.mga1
+ Revision: 49760
- Fix patch apply
- Use mageia in VERSION

* Fri Jan 21 2011 erwan <erwan> 4.02-4.mga1
+ Revision: 30072
- Rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.02-3.mga1
+ Revision: 29443
- rebuild
- mageia rebuild

* Mon Jan 17 2011 nanardon <nanardon> 4.02-2.mga1
+ Revision: 21524
- imported package perl-MDV-Distribconf


* Thu Jul 22 2010 Funda Wang <fwang@mandriva.org> 4.02-2mdv2011.0
+ Revision: 556991
- rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - drop unused perl-RPM4 BuildRequires

* Fri Feb 19 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.02-1mdv2010.1
+ Revision: 508139
- 4.02:
- 4.01 tarball was bogus and didn't contain the fix that was the reason for
  the release

* Wed Sep 30 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.01-1mdv2010.0
+ Revision: 451233
- 4.01

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.00-4mdv2010.0
+ Revision: 426518
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 4.00-3mdv2009.1
+ Revision: 351852
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 4.00-2mdv2009.0
+ Revision: 223818
- rebuild

* Thu Jan 17 2008 Olivier Thauvin <nanardon@mandriva.org> 4.00-1mdv2008.1
+ Revision: 154304
- 4.00

* Sun Dec 30 2007 Olivier Thauvin <nanardon@mandriva.org> 3.14-1mdv2008.1
+ Revision: 139437
- 3.14 (fix undef warning in case of brken link, then count thoses files as missing)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Olivier Thauvin <nanardon@mandriva.org> 3.13-1mdv2008.1
+ Revision: 108607
- 3.13

* Sun Nov 11 2007 Olivier Thauvin <nanardon@mandriva.org> 3.12-1mdv2008.1
+ Revision: 107961
- 3.12

* Fri Nov 09 2007 Olivier Thauvin <nanardon@mandriva.org> 3.11-1mdv2008.1
+ Revision: 107072
- 3.11

* Fri Jul 20 2007 Olivier Thauvin <nanardon@mandriva.org> 3.10-1mdv2008.0
+ Revision: 54063
- 3.10

* Fri Jul 06 2007 Olivier Thauvin <nanardon@mandriva.org> 3.09-0.1mdv2008.0
+ Revision: 48966
- 3.09

* Tue Jul 03 2007 Olivier Thauvin <nanardon@mandriva.org> 3.08-1mdv2008.0
+ Revision: 47533
- 3.08


* Mon Feb 19 2007 Olivier Thauvin <nanardon@mandriva.org> 3.07-1mdv2007.0
+ Revision: 122735
- 3.07

* Sat Sep 09 2006 Olivier Thauvin <nanardon@mandriva.org> 3.06-1mdv2007.0
+ Revision: 60646
- 3.06

* Sat Aug 26 2006 Olivier Thauvin <nanardon@mandriva.org> 3.05-1mdv2007.0
+ Revision: 58015
- 3.05

* Fri Aug 25 2006 Olivier Thauvin <nanardon@mandriva.org> 3.04-1mdv2007.0
+ Revision: 57913
- 3.04

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 3.03-2mdv2007.0
+ Revision: 57513
- fix buildrequires

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 3.03-1mdv2007.0
+ Revision: 57490
- 3.03

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 3.02-1mdv2007.0
+ Revision: 57078
- 3.02

* Tue Aug 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3.01-1mdv2007.0
+ Revision: 57003
- 3.01

* Tue Aug 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3.00-1mdv2007.0
+ Revision: 56950
- bump release

* Tue Aug 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3.00-0.1mdv2007.0
+ Revision: 56945
- 3.00

* Sun Aug 20 2006 Olivier Thauvin <nanardon@mandriva.org> 2.04-1mdv2007.0
+ Revision: 56868
- 2.04

* Sat Aug 19 2006 Olivier Thauvin <nanardon@mandriva.org> 2.03-1mdv2007.0
+ Revision: 56787
- 2.03

* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2.02-1mdv2007.0
+ Revision: 41983
- add sources
- 2.02

* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org> 2.01-1mdv2007.0
+ Revision: 41770
- 2.01
- 2.00
- Import perl-MDV-Distribconf

* Tue Dec 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Sat Oct 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- Initial MDV release

